org.apache.cassandra.config

## Enum CFMetaData.Caching

- java.lang.Object
- - java.lang.Enum<CFMetaData.Caching>
  - - org.apache.cassandra.config.CFMetaData.Caching

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<CFMetaData.Caching>

Enclosing class:
  CFMetaData

    public static enum CFMetaData.Caching
    extends java.lang.Enum<CFMetaData.Caching>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ALL`
`KEYS_ONLY`
`NONE`
`ROWS_ONLY`

### Method Summary

Methods
`static CFMetaData.Caching` `fromString(java.lang.String cache)`
`static CFMetaData.Caching` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static CFMetaData.Caching[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### ALL

    public static final CFMetaData.Caching ALL

#### KEYS_ONLY

    public static final CFMetaData.Caching KEYS_ONLY

#### ROWS_ONLY

    public static final CFMetaData.Caching ROWS_ONLY

#### NONE

    public static final CFMetaData.Caching NONE

### Method Detail

#### values

    public static CFMetaData.Caching[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (CFMetaData.Caching c : CFMetaData.Caching.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static CFMetaData.Caching valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### fromString

    public static CFMetaData.Caching fromString(java.lang.String cache)
                                         throws ConfigurationException

Throws:
  `ConfigurationException`